package introduction;

/**
 *
 * @author Lefteris Moussiades <lmous@teiemt.gr>
 */
public class Triangle {
    private double basi; //instance members
    private double ipsos;
    
    public Triangle(double b, double i) {
        if (b<0 || i<0) throw new RuntimeException();
        basi=b;
        ipsos=i;
    }
    
    public Triangle() {
        basi=2;
        ipsos=2;
    }
    
    public double getBasi() {
        return basi;
    }
    
    public double getIpsos() {
        return ipsos;
    }
    
    public void setBasi (double b) {
        if (b<0) throw new RuntimeException();
        basi=b;
    }
    
    public void setIpsos(double i) {
        if (i<0) throw new RuntimeException();
        ipsos=i;
    }
    
    double embadon() {
        return basi*ipsos/2;
    }
        
    public static void main(String[] args) {
        Triangle t1=new Triangle();
        Triangle t2=new Triangle();
        t1.basi=1;
        t1.ipsos=1;
        t2.basi=-2;
        t2.ipsos=2;
        System.out.println(t1.basi+" "+t1.ipsos);
        System.out.println(t2.basi+" "+t2.ipsos);
        
        System.out.println(t1.embadon());
        System.out.println(t2.embadon());
        
    }
}


