package introduction;

/**
 *
 * @author Lefteris Moussiades
 */
public class TriangleOOJ {

    private double basi;
    private double ipsos;

//constructor
    public TriangleOOJ(double b, double i) {
        if (b < 0 || i < 0) {
            throw new RuntimeException();
        }
        basi = b;
        ipsos = i;
    }

    public TriangleOOJ() {
        basi = 1;
        ipsos = 1;
    }

    public double embadon() {
        return basi * ipsos / 2;
    }

    public double getBasi() {
        return basi;
    }

    public void setBasi(double basi) {
        if (basi < 0) {
            throw new RuntimeException();
        }
        this.basi = basi;
    }

    public double getIpsos() {
        return ipsos;
    }

    public void setIpsos(double i) {
        if (i < 0) {
            throw new RuntimeException();
        }
        ipsos = i;
    }

    public String toString() {
        return "("+basi+", "+ipsos+")";
    }
    
    public boolean equals(Object o) {
       if (!(o instanceof TriangleOOJ)) throw new RuntimeException(); 
       TriangleOOJ t=(TriangleOOJ)o;
       return this.basi==t.basi && this.ipsos==t.ipsos;
    }
}
